<?php
/**
 * @file
 * This file contains code for the profile.
 */

/**
 * Implements hook_form_FORM_ID_alter().
 *
 * Allows the profile to alter the site configuration form.
 */
if (!function_exists("system_form_install_configure_form_alter")) {

  /**
   * Implements hook_form_FORM_ID_alter().
   */
  function system_form_install_configure_form_alter(&$form, $form_state) {
    $form['site_information']['site_name']['#default_value'] = 'OpenLucius';
  }
}

/**
 * Implements hook_form_alter().
 *
 * Select the current install profile by default.
 */
if (!function_exists("system_form_install_select_profile_form_alter")) {

  /**
   * Implements hook_form_FORM_ID_alter().
   */
  function system_form_install_select_profile_form_alter(&$form, $form_state) {
    foreach ($form['profile'] as $key => $element) {
      $form['profile'][$key]['#value'] = 'openlucius';
    }
  }
}


/**
 * Implements hook_install_tasks().
 */
function openlucius_install_tasks(&$install_state) {
  $tasks = array();

  $tasks['_openlucius_features_revert_all'] = array(
    'type' => 'normal',
  );

  return $tasks;
}

/**
 * Custom function to revert all features.
 */
function _openlucius_features_revert_all() {
  drupal_set_time_limit(0);
  features_revert(array(
    'openlucius_core' => array('field_base'),
    'openlucius_core2' => array('field_base', 'field_instance'),
  ));
  features_revert();
}
